@Echo Off
Set PathofMGD=%mosdisk%%mospath%coders\sybaris\utils\
Set PathforSources=%mosdisk%%mospath%temp\

md .\tmp
copy %PathforSources%mos_*.pas .\tmp
copy %PathforSources%mos_*.tpu .\tmp
del .\tmp\mos_ipx.pas
del .\tmp\mos_lfn.pas
del .\tmp\mos_cnv.pas
del .\tmp\mos_cpu.pas
%PathforSources%coders\sybaris\utils\center .\tmp\mos_*.pas
rem %PathforSources%coders\sybaris\utils\mus .\tmp\mos_*.pas
%PathofMGD%mgd .\tmp\mos_*.pas
Pause

addfile .\tmp\*.unt unt1.txt
Echo @ MOS Units >MD_UNT.txt
copy MD_UNT.txt+unt1.txt
del unt1.txt

addfile .\tmp\*.var var1.txt
Echo @ Variables & Constants... >MD_VAR.txt
Copy MD_VAR.txt+var1.txt
del var1.txt

addfile .\tmp\*.typ typ1.txt
Echo @ Types & Structures... >MD_TYPE.txt
Copy MD_TYPE.txt+typ1.txt
del typ1.txt

addfile .\tmp\*.pf1 pf.tmp
Echo @ Procedure and Function [A-L] >MD_PF1.txt
Copy MD_PF1.txt+pf.tmp
del pf.tmp

addfile .\tmp\*.pf2 pf.tmp
Echo @ Procedure and Function [M-Z] >MD_PF2.txt
Copy MD_PF2.txt+pf.tmp
del pf.tmp

del *.unt
del *.var
del *.pf
deltree /y tmp
Set PathofMGD=
Set PathforSources=

indexhlp  MD_TOOL MD_STRC MD_SYS MD_VAR MD_TYPE MD_UNT MD_PF1 MD_PF2 MD_MED MD_MISC %1 %2 %3 %4 %5 %6 %7 %8 %9
rem call buildndx

